Skip to content

Billing & Usage History

All operations require authentication.

18 operationsv1/telephony/{billingAccount}
Agent setup

List allowed credit thresholdsProduction

GET
/1.0/telephony/{billingAccount}/allowedCreditThreshold

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200Price[]successful operation
currencyCode
CurrencyCodeEnum
—
ValuesAUDCADCZKEURGBPINRLTLMADN/APLNSGDTNDUSDXOFpoints
text
string
—
value
number
—

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/allowedCreditThreshold \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "currencyCode": "AUD", "text": "string", "value": 0 }]

List security deposit amountsProduction

GET
/1.0/telephony/{billingAccount}/amountSecurityDeposit

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200Price[]successful operation
currencyCode
CurrencyCodeEnum
—
ValuesAUDCADCZKEURGBPINRLTLMADN/APLNSGDTNDUSDXOFpoints
text
string
—
value
number
—

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/amountSecurityDeposit \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "currencyCode": "AUD", "text": "string", "value": 0 }]

Check a security deposit transferProduction

POST
/1.0/telephony/{billingAccount}/canTransferSecurityDeposit

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

billingAccountDestination
required
string

The destination billing account

Response

200booleansuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/canTransferSecurityDeposit \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List billed consumptionsProduction

GET
/1.0/telephony/{billingAccount}/historyConsumption

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01"]

Get a billed consumptionProduction

GET
/1.0/telephony/{billingAccount}/historyConsumption/{date}

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate
—

Response

200HistoryConsumptionsuccessful operation
date
read-only
stringdate
—
price
read-only
Price

Price with it's currency and textual representation

priceOutplan
read-only
Price

Price with it's currency and textual representation

status
read-only
BillStatusEnum

Billing progress status

Valuesdoingdoneerrortodo

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyConsumption/{date} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "priceOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}

Get billed consumption filesProduction

GET
/1.0/telephony/{billingAccount}/historyConsumption/{date}/file

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate
—

Query parameters

extension
required
BillDocument

Document suffix

Valuescsvpdfreceived.csvxml

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyConsumption/{date}/file \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

List repayment billsProduction

GET
/1.0/telephony/{billingAccount}/historyRepaymentConsumption

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyRepaymentConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01"]

Get a repayment billProduction

GET
/1.0/telephony/{billingAccount}/historyRepaymentConsumption/{date}

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate

date of the bill

Response

200HistoryRepaymentConsumptionsuccessful operation
billingNumber
read-only
string

the number of the bill

date
read-only
stringdate

date of the bill

price
read-only
Price

the amout which is repayed

status
read-only
BillStatusEnum

status of the bill

Valuesdoingdoneerrortodo

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyRepaymentConsumption/{date} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingNumber": "string", "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}

Request a repaymentProduction

POST
/1.0/telephony/{billingAccount}/historyRepaymentConsumption

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

billingNumber
string

The number of the bill

Response

200HistoryRepaymentConsumptionsuccessful operation
billingNumber
read-only
string

the number of the bill

date
read-only
stringdate

date of the bill

price
read-only
Price

the amout which is repayed

status
read-only
BillStatusEnum

status of the bill

Valuesdoingdoneerrortodo

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyRepaymentConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingNumber": "string", "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}

Get the bill as CSVProduction

GET
/1.0/telephony/{billingAccount}/historyRepaymentConsumption/{date}/document

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate

date of the bill

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyRepaymentConsumption/{date}/document \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

List toll-free billsProduction

GET
/1.0/telephony/{billingAccount}/historyTollfreeConsumption

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyTollfreeConsumption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01"]

Get a toll-free billProduction

GET
/1.0/telephony/{billingAccount}/historyTollfreeConsumption/{date}

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate

date of the bill

Response

200HistoryTollfreeConsumptionsuccessful operation
date
read-only
stringdate

date of the bill

price
read-only
Price

the amount which is paid by the called number

status
read-only
BillStatusEnum

status of the bill

Valuesdoingdoneerrortodo

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyTollfreeConsumption/{date} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "doing"}

Get the bill as CSVProduction

GET
/1.0/telephony/{billingAccount}/historyTollfreeConsumption/{date}/document

Path parameters

billingAccount
required
string

The name of your billingAccount

date
required
stringdate

date of the bill

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, date = 2024-01-01

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/historyTollfreeConsumption/{date}/document \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

List out-of-plan alertsProduction

GET
/1.0/telephony/{billingAccount}/outplanNotification

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/outplanNotification \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an out-of-plan alertProduction

GET
/1.0/telephony/{billingAccount}/outplanNotification/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

Response

200ConsumptionThresholdsuccessful operation
block
read-only
OutplanNotificationBlockEnum

The blocking type of the associate lines

ValuesblockAllCallsblockIncomingCallsblockOutgoingCallsnone
id
read-only
integer

The id of the notification

notifyEmail
read-only
string

Override the nichandle email for this notification

percentage
read-only
number

The notification percentage of maximum outplan

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/outplanNotification/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "block": "blockAllCalls", "id": 0, "notifyEmail": "string", "percentage": 0}

Create an out-of-plan alertProduction

POST
/1.0/telephony/{billingAccount}/outplanNotification

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

block
required
OutplanNotificationBlockEnum

The blocking type of the associate lines

ValuesblockAllCallsblockIncomingCallsblockOutgoingCallsnone
notifyEmail
string

Override the nichandle email for this notification

percentage
required
number

The notification percentage of maximum outplan

Response

200ConsumptionThresholdsuccessful operation
block
read-only
OutplanNotificationBlockEnum

The blocking type of the associate lines

ValuesblockAllCallsblockIncomingCallsblockOutgoingCallsnone
id
read-only
integer

The id of the notification

notifyEmail
read-only
string

Override the nichandle email for this notification

percentage
read-only
number

The notification percentage of maximum outplan

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/outplanNotification \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "block": "blockAllCalls", "id": 0, "notifyEmail": "string", "percentage": 0}

Delete an out-of-plan alertProduction

DELETE
/1.0/telephony/{billingAccount}/outplanNotification/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

Response

200—successful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/outplanNotification/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Transfer the security depositProduction

POST
/1.0/telephony/{billingAccount}/transferSecurityDeposit

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

amount
required
integer

The amount, in euros, you want to transfer

billingAccountDestination
required
string

The destination billing account

Response

200—successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/transferSecurityDeposit \
  -H "authorization: Bearer $OVH_TOKEN"